# CI/CD 流程
0. 准备
  - project information
  - commit hash
1. checkout
2. install dependencies
3. run test script
5. run deploy script
6. clear workspace

## 流水线任务单元描述
```json
{
  "version": 1,
  "unit": {
    "install-dependencies": {
      "script": "npm ci"
    },
    "test": {
      "script": "npm test"
    },
    "build": {
      "script": "npm build"
    },
    "deploy": {
      "script": [
        "npm build"
      ]
    }
  }
}

```