import { Module } from '@nestjs/common';
import { PasswordConverter } from './services/password-converter';
import { RedisMutexModule } from './redis-mutex/redis-mutex.module';
import { AuthModule } from '@nestjs-lib/auth';

@Module({
  imports: [RedisMutexModule, AuthModule],
  providers: [PasswordConverter],
  exports: [PasswordConverter, RedisMutexModule, AuthModule],
})
export class CommonsModule {}
