import { TaskStatuses } from '../enums/task-statuses.enum';
import { PipelineUnits } from '../enums/pipeline-units.enum';
import { Field, ObjectType } from '@nestjs/graphql';
import { Type } from 'class-transformer';

@ObjectType()
export class PipelineTaskLogs {
  @Field(() => PipelineUnits)
  unit: PipelineUnits;
  @Field(() => TaskStatuses)
  status: TaskStatuses;
  @Type(() => Date)
  startedAt?: Date;
  @Type(() => Date)
  endedAt?: Date;
  logs = '';
}
