import { ObjectType, Field } from '@nestjs/graphql';
import {
  LogResult,
  DefaultLogFields,
  BranchSummary,
  BranchSummaryBranch,
} from 'simple-git';

@ObjectType()
export class Branch implements BranchSummaryBranch {
  current: boolean;
  name: string;
  commit: string;
  label: string;
}

@ObjectType()
export class BranchList {
  detached: boolean;
  current: string;
  all: string[];
  @Field(() => [Branch])
  branches: Branch[];
}
