import { Injectable, NestMiddleware } from '@nestjs/common';
import { json, urlencoded, text } from 'body-parser';
import { Request, Response, NextFunction } from 'express';

@Injectable()
export class ParseBodyMiddleware implements NestMiddleware {
  use(req: Request, res: Response, next: NextFunction) {
    json()(req, res, () =>
      urlencoded()(req, res, () => text()(req, res, next)),
    );
    // next();
  }
}
