import { registerEnumType } from '@nestjs/graphql';

export enum PipelineUnits {
  checkout = 'checkout',
  installDependencies = 'installDependencies',
  test = 'test',
  deploy = 'deploy',
  cleanUp = 'cleanUp',
}

registerEnumType(PipelineUnits, {
  name: 'PipelineUnits',
  description: '流水线单元',
});
