import { registerEnumType } from '@nestjs/graphql';

export enum TaskStatuses {
  success = 'success',
  failed = 'failed',
  working = 'working',
  pending = 'pending',
}

registerEnumType(TaskStatuses, {
  name: 'TaskStatuses',
  description: '任务状态',
});

export const terminalTaskStatuses = [TaskStatuses.success, TaskStatuses.failed];
