import { JwtService } from '@nestjs-lib/auth';
import { Test, TestingModule } from '@nestjs/testing';
import { PipelineTaskLogger } from './pipeline-task.logger';
import { PipelineTasksResolver } from './pipeline-tasks.resolver';
import { PipelineTasksService } from './pipeline-tasks.service';

describe('PipelineTasksResolver', () => {
  let resolver: PipelineTasksResolver;

  beforeEach(async () => {
    const module: TestingModule = await Test.createTestingModule({
      providers: [
        PipelineTasksResolver,
        {
          provide: PipelineTasksService,
          useValue: {},
        },
        {
          provide: PipelineTaskLogger,
          useValue: {},
        },
        {
          provide: JwtService,
          useValue: {},
        },
      ],
    }).compile();

    resolver = module.get<PipelineTasksResolver>(PipelineTasksResolver);
  });

  it('should be defined', () => {
    expect(resolver).toBeDefined();
  });
});
