import { JwtService } from '@nestjs-lib/auth';
import { Test, TestingModule } from '@nestjs/testing';
import { PipelineTasksService } from '../pipeline-tasks/pipeline-tasks.service';
import { CommitLogsResolver } from './commit-logs.resolver';
import { PipelinesService } from './pipelines.service';

describe('CommitLogsResolver', () => {
  let resolver: CommitLogsResolver;

  beforeEach(async () => {
    const module: TestingModule = await Test.createTestingModule({
      providers: [
        CommitLogsResolver,
        {
          provide: PipelinesService,
          useValue: {},
        },
        {
          provide: PipelineTasksService,
          useValue: {},
        },
        {
          provide: JwtService,
          useValue: {},
        },
      ],
    }).compile();

    resolver = module.get<CommitLogsResolver>(CommitLogsResolver);
  });

  it('should be defined', () => {
    expect(resolver).toBeDefined();
  });
});
