import { InputType } from '@nestjs/graphql';
import { IsOptional, IsString, IsUUID } from 'class-validator';

@InputType()
export class ListLogsArgs {
  @IsUUID()
  projectId: string;

  @IsString()
  @IsOptional()
  branch?: string;
}
